## freetype 1

=== debian/changelog ===
freetype (1-1) unstable; urgency=medium

  * update

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 10 May 2022 20:31:19 +0800

freetype (2.9.1.1-3+dde) unstable; urgency=medium

  * fix CVE-2022-27406 CVE-2022-27405 CVE-2022-27404

 -- wangyouwan <wangyouwan@uniontech.com>  Tue, 26 Apr 2022 15:21:12 +0800

freetype (2.9.1-3+deb10u2) unstable; urgency=low

  * ['Autobuild release-candidate: 7bd5c34879b601f19e8cd8be383ab9d7c61791b8']

 -- shuttle <shuttle@deepin.com>  Thu, 05 Nov 2020 12:57:49 +0000
