## freetype 2.4.9-1.1+deb7u9

=== debian/changelog ===
freetype (2.4.9-1.1+deb7u9) wheezy-security; urgency=medium

  * Non-maintainer upload by the ELTS team.
  * CVE-2015-9381: FreeType before 2.6.1 has a heap-based buffer
    over-read in T1_Get_Private_Dict in type1/t1parse.c.
  * CVE-2015-9382: FreeType before 2.6.1 has a buffer over-read in
    skip_comment in psaux/psobjs.c because ps_parser_skip_PS_token is
    mishandled in an FT_New_Memory_Face operation.
  * CVE-2015-9383: FreeType before 2.6.2 has a heap-based buffer
    over-read in tt_cmap14_validate in sfnt/ttcmap.c.

 -- Sylvain Beucler <beuc@debian.org>  Wed, 04 Sep 2019 11:49:26 +0200

freetype (2.4.9-1.1+deb7u8) wheezy-security; urgency=medium

  * Non-maintainer upload by the ELTS team.
  * CVE-2015-9290: Fix potential buffer overflow. src/type1/t1parse.c
    (T1_Get_Private_Dict): Assure `cur' doesn't point to end of file
    buffer.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 31 Jul 2019 19:25:24 +0200

freetype (2.4.9-1.1+deb7u7) wheezy-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2017-8287: Out of bounds write caused by heap buffer overflow in
    psh_glyph_init.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 06 May 2017 12:13:19 +0200

freetype (2.4.9-1.1+deb7u6) wheezy-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2017-8105: Out of bounds write caused by heap buffer overflow in
    t1_builder_add_point.
  * CVE-2016-10328: Drop patch. Turns out the wheezy version wasn't
    affected by this issue, only the master branch was affected.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 26 Apr 2017 16:49:53 +0200

freetype (2.4.9-1.1+deb7u5) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix the following security vulnerability:
    - CVE-2016-10328:
      out-of-bounds write caused by a heap-based buffer overflow related to the
      cff_parser_run function in cff/cffparse.c.

 -- Markus Koschany <apo@debian.org>  Mon, 17 Apr 2017 15:10:59 +0200

freetype (2.4.9-1.1+deb7u4) wheezy-security; urgency=high

  * CVE-2016-10244: The parse_charstrings function in type1/t1load.c did not
    ensure that a font contains a glyph name, which allowed remote attackers to
    cause a denial of service via a specially-crafted file. (Closes: #856971)

 -- Chris Lamb <lamby@debian.org>  Tue, 07 Mar 2017 11:50:15 +0000
